<template>
  <div id="app">
    <Navbar v-bind:project="project"></Navbar>
    <router-view class="content-inside"   />
    <div style= " height : 110px">
    </div>
    <Footer id="Footer"   class="footer" v-bind:project="project"></Footer>
  </div>
</template>

<script>
import Navbar from './components/Navbar'
import Footer from './components/Footer'

export default {
  name: 'app',
  components: {
    Navbar,
    Footer
  },
  data () {
    return {
      project: {
        'brandName': 'BrandName',
        'baseUrl': 'www.power-ops.com',
        'apiUrl': 'ww.power-ops.com'
      }
    }
  },
  methods: {
  },
  created () {
    this.$store.dispatch('autologin')
  }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}

#Footer {
bottom : 0px !important ;
padding : 15px !important ;
background-color: white !important;
position: fixed !important;

}

</style>
